
SELinux - Bug #32110

Add missing passenger websockify transition

03/16/2021 02:13 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: General Foreman   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/126

  

Description

This rule

domtrans_pattern(passenger_t, websockify_exec_t, websockify_t)

was accidentally removed when moving to puma.

Related issues:

Related to SELinux - Refactor #29778: Implement puma policy Closed

Associated revisions

Revision a1da26e3 - 03/16/2021 02:31 PM - Lukas Zapletal 

Fixes #32110 - add passenger websockify transition

History

#1 - 03/16/2021 02:13 PM - Lukas Zapletal

- Related to Refactor #29778: Implement puma policy added

#2 - 03/16/2021 02:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-selinux/pull/126 added

#3 - 03/16/2021 02:31 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 03/16/2021 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset a1da26e3b2c7f9904f12f91e65d6d31783f8f6d7.

#5 - 03/17/2021 02:22 PM - Lukas Zapletal

- Target version set to 2.4.0

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)

#6 - 03/17/2021 02:22 PM - Lukas Zapletal

commit 484f9d4dc47820a2d76f44da4b27457d9fcade37 (HEAD -> 2.4-stable, origin/2.4-stable)

Author: Lukas Zapletal <lzap+git@redhat.com>

Date:   Tue Mar 16 15:15:10 2021 +0100
